Header
  Mesh DB "." "mesh"
  Include Path ""
  Results Directory ""
End

Simulation
  Max Output Level = 3
  Coordinate System = Cartesian 3D 
  Simulation Type = Steady
  Steady State Max Iterations = 20
  Output Intervals = 1
End

Body 1
  Equation = 1
  Material = 1
  Initial Condition = 1
End

Initial Condition 1
 Velocity 1 = Real 0.0
 Velocity 2 = Real 0.0
 Velocity 3 = Real 0.0
 Pressure = Real 0.0
End

Material 1
  Density = Real OL.get(Parameters/4RHO)
  Viscosity = Real OL.get(Parameters/3MU)
End

Equation 1
  Navier-Stokes = True
  Active Solvers(3) = 1 2 3
End

Solver 1
  Equation =  Navier-Stokes
  Stabilize = True
  Bubbles = False
  Lumped Mass Matrix = True
  Optimize Bandwidth = Logical True
  Linear System Solver = Iterative
  Linear System Iterative Method = BiCGStab
  Linear System Max Iterations = 500
  Linear System Convergence Tolerance = 1.0e-8
  Linear System Preconditioning = ILU1
  Linear System Residual Output = 1
  Steady State Convergence Tolerance = 1.0e-5
  Nonlinear System Convergence Tolerance = 1.0e-7
  Nonlinear System Max Iterations = 10
  Nonlinear System Newton After Iterations = 3
  Nonlinear System Newton After Tolerance = 1.0e-3
End

Solver 2
   Exec solver = "After saving"
   Exec interval = 2
   Equation = String "ResultOutput"
   Procedure = File "ResultOutputSolve" "ResultOutputSolver"
   Output File Name = File "solution.pos"	
   Output Format = String "Gmsh"
   Show Variables = Logical true 
   Scalar Field 1 =  String Pressure
   Scalar Field 2 =  String WSS
   Vector Field 1 =  String flow solution
End

Solver 3
  Equation = WSS
  Procedure = "ShearrateSolver" "ShearrateSolver"
  Variable = WSS
  Variable DOFs = 1
  Exec Solver = Always
  Stabilize = True
  Bubbles = False
  Lumped Mass Matrix = False
  Optimize Bandwidth = True
  Steady State Convergence Tolerance = 1.0e-5
  Nonlinear System Convergence Tolerance = 1.0e-8
  Nonlinear System Max Iterations = 20
  Nonlinear System Newton After Iterations = 3
  Nonlinear System Newton After Tolerance = 1.0e-3
  Nonlinear System Relaxation Factor = 1
  Linear System Solver = Iterative
  Linear System Iterative Method = BiCGStab
  Linear System Max Iterations = 500
  Linear System Convergence Tolerance = 1.0e-8
  Linear System Preconditioning = ILU0
  Linear System ILUT Tolerance = 1.0e-3
  Linear System Abort Not Converged = False
  Linear System Residual Output = 1
  Linear System Precondition Recompute = 1
End

Boundary Condition 1
  Name = "Wall"
  Target Boundaries = 1
  Velocity 1 = 0.0
  Velocity 2 = 0.0
  Velocity 3 = 0.0
End

Boundary Condition 2
  Name = "Inlet"
  Target Boundaries = 2
  Normal-Tangential Velocity = Logical True  
  Velocity 1 = Variable "Coordinate 1","Coordinate 2" 
OL.if( OL.get(Parameters/1VELPROFILE) == 1) 
   Real MATC "-OL.get(Parameters/2VMEAN)"  ! because orientation of inlet
OL.endif
  Velocity 2 = Real 0.0
  Velocity 3 = Real 0.0
End

Boundary Condition 3
  Name = "Outlet"
  Target Boundaries(1) = 3
  Flow Force BC = Logical True
  External Pressure = 0
  Normal-Tangential Velocity = True 
  Velocity 2 = 0;
  Velocity 3 = 0;
  Slip Coefficient 2 = Real 0.0
  Slip Coefficient 3 = Real 0.0
End






